import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('吉祥之舍'),
          centerTitle: true,
        ),
        body: SafeArea(
          child: Container(
            color: Colors.grey.withOpacity(0.3),
            child: Column(children: <Widget>[
              TextField(
                decoration: InputDecoration(
                  icon: Icon(Icons.search),
                  hintText: 'Search',
                ),
              ),
              Container(alignment: Alignment.centerLeft, padding: EdgeInsets.symmetric(vertical: 12, horizontal: 6),child: Text('今日任务'), decoration: BoxDecoration(color: Colors.grey.withOpacity(0.1)),),
              Expanded(child: ListView()),
              Row(children: <Widget>[
                Expanded(child: RaisedButton(onPressed: ()=>null, child: Text('新增会员'),color: Colors.white,)),
                Expanded(child: MaterialButton(onPressed: ()=>null, child: Text('会员列表',), color: Colors.indigoAccent,)),
              ],)
            ]),
          ),
        ));
  }
}
